Bug 1201347 - Host create/update api docs miss owner_type
Summary: Host create/update api docs miss owner_type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jaudet
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 14:20 UTC by Tomas Strachota
Modified: 2017-02-23 20:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:29:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9723 0 None None None 2016-04-22 14:53:27 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Tomas Strachota 2015-03-12 14:20:36 UTC
The field owner_type is not documented in apipie and therefore it does not appear in hammer too.

Comment 1 Tomas Strachota 2015-03-12 14:20:38 UTC
Created from redmine issue http://projects.theforeman.org/issues/9723

Comment 3 Bryan Kearney 2015-03-15 10:05:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9723 has been closed
-------------
Anonymous
Applied in changeset commit:55be35e9699765bb5fb137db518b06411be20939.

Comment 6 jaudet 2015-03-19 19:03:52 UTC
Tested against Satellite-6.1.0-RHEL-6-20150317.0 and Satellite-6.1.0-RHEL-7-20150317.0. Example of hammer output:

    $ hammer -u admin -p changeme host create --help | grep -i 'owner[-_]type'
     --owner-type OWNER_TYPE                   Host's owner type

Example of API doc item:

> host[owner_type]
> optional , nil allowed 	
>
> Host's owner type
>
> Value: Must be one of: User, Usergroup.

Comment 7 Bryan Kearney 2015-08-11 13:36:34 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:29:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.